/*
 * $Header: /home/cvspublic/jakarta-slide/src/share/org/apache/slide/event/AbstractEventMethod.java,v 1.3 2004/07/28 09:36:28 ib Exp $
 * $Revision: 1.3 $
 * $Date: 2004/07/28 09:36:28 $
 *
 * ====================================================================
 *
 * Copyright 2004 The Apache Software Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

package org.apache.slide.event;

import org.apache.slide.util.Configuration;

/**
 * @version $Revision: 1.3 $
 */

public abstract class AbstractEventMethod {
    private static char SEPARATOR = ':';
    private String group, name, id;
    private boolean enabled = Configuration.fireEvents();

    protected AbstractEventMethod(String group, String name) {
        this.group = group;
        this.name = name;
        this.id = group + SEPARATOR + name;
    }

    public boolean isEnabled() {
        return enabled;
    }

    public void setEnabled(boolean enabled) {
        this.enabled = enabled; 
    }

    public String getName() {
        return name;
    }

    public String getGroup() {
        return group;
    }

    public String getId() {
        return id;
    }
}